[source] base-files: Added a deprecation notice on wifi detect

LEDE Commits lede-commits at lists.infradead.org
Wed Mar 1 11:37:57 PST 2017


jow pushed a commit to source.git, branch lede-17.01:
https://git.lede-project.org/31c2461e3f776bca9963c4c03d8a012b793efbb2

commit 31c2461e3f776bca9963c4c03d8a012b793efbb2
Author: David Pinilla Caparrós <dpinitux at gmail.com>
AuthorDate: Mon Jan 30 15:44:05 2017 +0100

    base-files: Added a deprecation notice on wifi detect
    
    When running wifi detect, the user will be told on error output that
    wifi detect is deprecated, that wifi config must be used instead. Also
    the commit that changes it is referenced for further info.
    
    Signed-off-by: David Pinilla Caparrós <dpinitux at gmail.com>
---
 package/base-files/files/sbin/wifi | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/package/base-files/files/sbin/wifi b/package/base-files/files/sbin/wifi
index c65cb5e..83befc0 100755
--- a/package/base-files/files/sbin/wifi
+++ b/package/base-files/files/sbin/wifi
@@ -145,6 +145,12 @@ wifi_reload() {
 	wifi_reload_legacy
 }
 
+wifi_detect_notice() {
+	>&2 echo "WARNING: Wifi detect is deprecated. Use wifi config instead"
+	>&2 echo "For more information, see commit 5f8f8a366136a07df661e31decce2458357c167a"
+	exit 1
+}
+
 wifi_config() {
 	[ ! -f /etc/config/wireless ] && touch /etc/config/wireless
 
@@ -229,7 +235,7 @@ scan_wifi
 
 case "$1" in
 	down) wifi_updown "disable" "$2";;
-	detect) ;;
+	detect) wifi_detect_notice ;;
 	config) wifi_config ;;
 	status) ubus_wifi_cmd "status" "$2";;
 	reload) wifi_reload "$2";;



More information about the lede-commits mailing list